﻿using System.Runtime.Serialization;
using ProjectBattleship.CollectionGenericObjects;
namespace ProjectBattleship.Exceptions;
public class CollectionAlreadyExistsException : Exception
{
    public CollectionAlreadyExistsException() : base() { }
    public CollectionAlreadyExistsException(CollectionInfo collectioninfo) : base($"Коллекция {collectioninfo} уже существует!") { }
    public CollectionAlreadyExistsException(string name, Exception exception) :
        base($"Коллекция {name} уже существует!", exception)
    { }
    protected CollectionAlreadyExistsException(SerializationInfo info, StreamingContext
        contex) : base(info, contex) { }
}
