﻿using System.Runtime.Serialization;
namespace ProjectBattleship.Exceptions;

public class EmptyFileException : Exception
{
    public EmptyFileException(string name) : base($"Файл {name} пустой ") { }
    public EmptyFileException() : base("В хранилище отсутствуют коллекции для сохранения") { }
    public EmptyFileException(string name, string message) : base(message) { }
    public EmptyFileException(string name, string message, Exception exception) :
        base(message, exception)
    { }
    protected EmptyFileException(SerializationInfo info, StreamingContext
        contex) : base(info, contex) { }
}
